import re

VERSION_REGEX = re.compile(r"^(?P<major>\d+)\.(?P<minor>\d+)\.(?P<patch>\d+)$")

TERRAFORM_ARGS = {
    "color": "-no-color",
    "lock": "-lock=",
    "lock_timeout": "-lock-timeout=",
    "input": "-input=",
    "upgrade": "-upgrade",
    "from_module": "-from-module=",
    "reconfigure": "-reconfigure",
    "migrate_state": "-migrate-state",
    "force_copy": "-force-copy",
    "backend": "-backend=",
    "backend_config": "-backend-config=",
    "get": "-get=",
    "get_plugins": "-get-plugins=",
    "plugin_dir": "-plugin-dir=",
    "lockfile": "-lockfile=",
    "readonly": "-lockfile=readonly",
    "chdir": "-chdir=",
    "update": "-update",
    "destroy": "-destroy",
    "out": "-out=",
    "refresh_only": "-refresh-only",
    "refresh": "-refresh=",
    "replace": "-replace=",
    "target": "-target=",
    "var": "-var=",
    "var_file": "-var-file=",
    "compact_warnings": "-compact-warnings",
    "json": "-json",
    "parallelism": "-parallelism=",
    "auto_approve": "-auto-approve",
    "state": "-state=",
    "state_out": "-state-out=",
    "backup": "-backup=",
    "backup_out": "-backup-out=",
    "list": "-list=",
    "diff": "-diff",
    "write": "-write=",
    "check": "-check",
    "recursive": "-recursive",
    "raw": "-raw",
    "id": "-id=",
    "type": "-type=",
    "plan": "-plan=",
    "draw_cycles": "-draw-cycles",
    "module_depth": "-module-depth=",
    "config": "-config=",
    "provider": "-provider=",
    "allow_missing": "-allow-missing",
    "ignore_remote_version": "-ignore-remote-version",
    "dry_run": "-dry-run",
    "force": "-force",
    "or_create": "-or-create",
}

TERRAFORM_GRAPH_TYPES = [
    "plan",
    "plan-destroy",
    "apply",
    "validate",
    "input",
    "refresh",
]